summaryrefslogtreecommitdiffstats
path: root/misc/OSCAR
diff options
context:
space:
mode:
Diffstat (limited to 'misc/OSCAR')
-rw-r--r--misc/OSCAR/OSCAR.SlackBuild98
-rw-r--r--misc/OSCAR/OSCAR.info10
-rw-r--r--misc/OSCAR/README7
-rw-r--r--misc/OSCAR/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/misc/OSCAR/OSCAR.SlackBuild b/misc/OSCAR/OSCAR.SlackBuild
new file mode 100644
index 0000000000..b446062187
--- /dev/null
+++ b/misc/OSCAR/OSCAR.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/bash
+
+# Slackware build script for OSCAR
+
+# Copyright 2019-2022 Zhu, Qun-Ying
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=OSCAR
+VERSION=${VERSION:-1.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+PRGSRC_NAME=$PRGNAM-code-v$VERSION
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGSRC_NAME
+tar xvf $CWD/$PRGSRC_NAME.tar.bz2
+cd $PRGSRC_NAME
+chown -R root:root .
+mkdir build
+(cd build; CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" \
+ qmake-qt5 ../OSCAR_QT.pro; make $JOBS)
+
+mkdir -p $PKG/usr/bin
+strip --strip-unneeded build/oscar/OSCAR
+cp build/oscar/OSCAR $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp CONTRIBUTING.md README COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/icons/hicolor/48x48/apps
+mkdir -p $PKG/usr/share/applications
+mkdir -p $PKG/usr/share/$PRGNAM
+
+cp Building/Linux/OSCAR.png $PKG/usr/share/icons/hicolor/48x48/apps
+cp Building/Linux/OSCAR.desktop $PKG/usr/share/applications
+cp -a build/oscar/Translations $PKG/usr/share/$PRGNAM
+cp -a build/oscar/Html $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/misc/OSCAR/OSCAR.info b/misc/OSCAR/OSCAR.info
new file mode 100644
index 0000000000..d550c49135
--- /dev/null
+++ b/misc/OSCAR/OSCAR.info
@@ -0,0 +1,10 @@
+PRGNAM="OSCAR"
+VERSION="1.5.1"
+HOMEPAGE="https://www.sleepfiles.com/OSCAR/"
+DOWNLOAD="https://gitlab.com/pholy/OSCAR-code/-/archive/v1.5.1/OSCAR-code-v1.5.1.tar.bz2"
+MD5SUM="f18116b475961618464c05079f333ba6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"
diff --git a/misc/OSCAR/README b/misc/OSCAR/README
new file mode 100644
index 0000000000..9461dd94f0
--- /dev/null
+++ b/misc/OSCAR/README
@@ -0,0 +1,7 @@
+OSCAR (Open Source CPAP Analysis Reporter)
+
+OSCAR is PC software developed for reviewing and exploring data
+produced by CPAP and related machines used in the treatment of sleep
+apnea.
+
+It is a fork of the now-closed SleepyHead by Mark Watkins.
diff --git a/misc/OSCAR/slack-desc b/misc/OSCAR/slack-desc
new file mode 100644
index 0000000000..4403f262ca
--- /dev/null
+++ b/misc/OSCAR/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+OSCAR: OSCAR (Open Source CPAP Analysis Reporter)
+OSCAR:
+OSCAR: OSCAR is PC software developed for reviewing and exploring data
+OSCAR: produced by CPAP and related machines used in the treatment of sleep
+OSCAR: apnea.
+OSCAR:
+OSCAR: It is a fork of the now-closed SleepyHead by Mark Watkins.
+OSCAR:
+OSCAR: Homepage: https://www.sleepfiles.com/OSCAR/
+OSCAR:
+OSCAR: